<template>
	<view :class="{showHiddenWindowActive:showHiddenWindow}">
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">安全检查发起</block>
		</cu-custom>
		<view class="form">
			<view class="wui-form-list">
				<view class="cu-form-group" v-if="!forbidEdit">
					<view class="title">检查题目1：</view>
					<radio-group @change="changeRadioGroup($event)">
						<label class="radio"><radio value="安全" :checked="form.INSPECTION_SUBJECT === '安全'" />安全</label>
<!--						<label class="radio"><radio value="环保" :checked="form.INSPECTION_SUBJECT === '环保'" />环保</label>-->
						<label class="radio"><radio value="综合" :checked="form.INSPECTION_SUBJECT === '综合'" />综合</label>
					</radio-group>
				</view>
				<view class="cu-form-group" v-else>
					<view class="title">检查标题：</view>
					<view>{{form.INSPECTION_SUBJECT}}现场检查记录</view>
				</view>

				<view class="cu-form-group">
					<view class="title" style="height: auto;">
						<view>被检查单位：</view>
					</view>
					<block v-if="!forbidEdit">
						<view class="picker-tree-box">
							<view class="picker-tree" @tap="showZgTree('tkiTree1', 1)">
								{{ form.INSPECTED_DEPARTMENT_NAME || '请选择' }}
							</view>
						</view>
						<tki-tree ref="tkiTree1" :selectParent=true :range="treeNode" rangeKey="name" @confirm="zgtreeConfirm($event,'inspectedSiteuserList')"
								  @cancel="zgtreeCancel"></tki-tree>
					</block>
					<block v-else>{{ form.INSPECTED_DEPARTMENT_NAME }}</block>
				</view>
				<view class="cu-form-group" v-if="form.INSPECTED_DEPARTMENT_NAME">
					<view class="title">被检查单位现场负责人：</view>
					<picker @change="inspectedSiteuserChange" :disabled="forbidEdit" :value="form.INSPECTED_SITEUSER_INDEX"
							:range="inspectedSiteuserList" range-key="NAME">
						<view class="picker">
							{{ form.INSPECTED_SITEUSER_NAME || '请选择' }}
						</view>
					</picker>
				</view>

				<view class="cu-form-group">
					<view class="title">检查场所：</view>
					<input name="input" ref="INSPECTION_PLACE" :disabled="forbidEdit" v-model="form.INSPECTION_PLACE" placeholder="请输入检查场所"></input>
				</view>

				<view class="cu-form-group">
					<view class="title" style="height: auto;">
						<view>检查类型：</view>
					</view>
					<block v-if="!forbidEdit">
						<view class="picker-tree-box">
							<view class="picker-tree" @tap="showZgTree('tkiTree2', 2)">
								{{ form.INSPECTION_TYPE_NAME || '请选择' }}
							</view>
						</view>
						<tki-tree ref="tkiTree2" :selectParent=true :range="inspectionTypeTreeList" rangeKey="name" @confirm="zgtreeConfirm($event,'inspectionTypeTreeList')"
								  @cancel="zgtreeCancel"></tki-tree>
					</block>
					<block v-else>{{ form.INSPECTION_TYPE_NAME }}</block>
				</view>

				<view class="cu-form-group">
					<view class="title">检查开始时间：</view>
					<ruiDatePicker v-if="!forbidEdit" :start="todayDate" fields="minute" :value="form.INSPECTION_TIME_START || '请选择'"
								   @change="changeStartDate"></ruiDatePicker>
					<text v-else>{{ form.INSPECTION_TIME_START }}</text>
				</view>

				<view class="cu-form-group">
					<view class="title">检查结束时间：</view>
					<ruiDatePicker v-if="!forbidEdit" :start="todayDate" fields="minute" :value="form.INSPECTION_TIME_END || '请选择'"
								   @change="changeEndDate"></ruiDatePicker>
					<view v-else>{{form.INSPECTION_TIME_END}}</view>
				</view>

				<view class="cu-form-group">
					<view class="title">检查情况：</view>
					<button v-if="!forbidEdit" class="cu-btn round bg-blue" @click="addSituation">添加</button>
				</view>
				<view v-if="forbidEdit" v-show="form.situationList && form.situationList.length > 0" class="ace-content">
					<view class="add_pard_item" v-for="(item,index) of form.situationList" :key="'SITUATION'+index">
						<view class="cu-form-textarea">
							<textarea disabled v-model="item.SITUATION"></textarea>
						</view>
					</view>
				</view>
				<view v-else class="ace-content">
					<view class="add_pard_item" v-for="(item,index) of form.situationList" :key="index">
						<view v-if="!forbidEdit" class="add_pard_del" @click="removeSituation(item, index)">
							<text class="cuIcon-roundclosefill text-red f40"></text>
						</view>
						<view class="cu-form-textarea">
							<textarea placeholder="请输入检查情况..." v-model="item.SITUATION"></textarea>
						</view>
					</view>
				</view>

				<view class="cu-form-group">
					<view class="title">检查人员：</view>
					<button v-if="!forbidEdit" class="cu-btn round bg-blue" @click="addInspector">添加</button>
				</view>
				<view v-if="form.inspectorList && form.inspectorList.length > 0" v-for="(item, index) of form.inspectorList" :key="'INSPECTOR'+index" class="add_pard_item">
					<view class="add_pard_del" v-if="!forbidEdit && index>0" @click="removeInspector(item, index)">
						<text class="cuIcon-roundclosefill text-red f40"></text>
					</view>
					<view class="cu-form-group">
						<view class="title" style="height: auto;">
							<view>{{ index + 1}}.检查人员单位：</view>
						</view>
						<block v-if="!forbidEdit">
							<view class="picker-tree-box">
								<view class="picker-tree" @tap="showZgTree('tkiTree'+(index+8), (index+8))">
									{{ item.INSPECTION_DEPARTMENT_NAME || '请选择' }}
								</view>
							</view>
							<tki-tree :ref="'tkiTree'+(index+8)" :selectParent=true :range="treeNode" rangeKey="name" @confirm="zgtreeConfirm($event,'inspectorList', index)"
									  @cancel="zgtreeCancel"></tki-tree>
						</block>
						<block v-else>{{ item.INSPECTION_DEPARTMENT_NAME }}</block>
					</view>
					<view class="cu-form-group" v-if="item.INSPECTION_DEPARTMENT_NAME">
						<view class="title">{{ index + 1}}.检查人员：</view>
						<picker @change="inspectorChange($event,index)" :disabled="forbidEdit" :value="item.INSPECTED_SITEUSER_INDEX"
								:range="inspectorList[index]" range-key="NAME">
							<view class="picker">
								{{ item.INSPECTION_USER_NAME || '请选择' }}
							</view>
						</picker>
					</view>
				</view>

				<view class="cu-form-group">
					<view class="title">发现问题：</view>
					<button v-if="!forbidEdit" class="cu-btn round bg-blue" @click="addHidden">添加</button>
				</view>

				<view style="padding: 20upx">
					<uni-table border stripe emptyText="暂无更多数据">
						<uni-tr>
							<uni-th align="center" style="font-weight: bold;width: 100upx">序号</uni-th>
							<uni-th align="center" style="font-weight: bold">隐患部位</uni-th>
							<uni-th align="center" style="font-weight: bold">隐患描述</uni-th>
							<uni-th align="center" style="font-weight: bold;width: 160upx">操作</uni-th>
						</uni-tr>
						<uni-tr v-for="(item, index) in form.hiddenList" :key="'hidden'+index">
							<uni-td>{{ index + 1 }}</uni-td>
							<uni-td>{{ item.HIDDENPART_NAME?item.HIDDENPART_NAME:item.HIDDENPART }}</uni-td>
							<uni-td>{{ item.HIDDENDESCR }}</uni-td>
							<uni-td style="text-align: center;">
								<icon type="info" size="26" style="margin-right: 8px" @tap="showHidden(item, index)" />
								<icon type="cancel" size="26" @tap="removeHidden(item, index)" v-if="!forbidEdit" />
							</uni-td>
						</uni-tr>
					</uni-table>
				</view>
			</view>
			<view class="wui-form-list">
				<view class="cu-form-group">
					<view class="title">打回信息</view>
				</view>
				<view class="cu-form-group">
					<view class="title">打回人：</view>
					<input name="input"  :disabled="forbidEdit" v-model="form.inspectorVerifyList[0].INSPECTION_USER_NAME" placeholder="请输入检查场所"></input>
				</view>
				<view class="cu-form-group">
					<view class="title">打回信息：</view>
					<input name="input"  :disabled="forbidEdit" v-model="form.inspectorVerifyList[0].INSPECTION_USER_OPINION" placeholder="请输入检查场所"></input>
				</view>
				<view class="cu-form-group">
					<view class="title">检查人签字：</view>
					<view>
						<view>
							<image :src="baseImgPath + form.inspectorVerifyList[0].INSPECTION_USER_SIGN_IMG" style="width: 180upx;height: 100upx"></image>
						</view>
						<view style="text-align: center">{{form.INSPECTION_USER_SIGN_TIME}}</view>
					</view>
				</view>
			</view>
		</view>
		<view class="cu-bar btn-group" style="margin-top: 30upx;">
			<button v-if="forbidEdit" class="cu-btn bg-green margin-tb-sm lg" @click="$noMultipleClicks(goback)">返回</button>
		</view>
		<view class="padding flex flex-direction"></view>

		<uni-drawer ref="showHiddenWindow" mode="right" :mask-click="true" @change="change($event,'showHiddenWindow')">
				<scroll-view scroll-y="true" style="height: 90vh;">
					<view class="de-drawer">
						<view class="cu-bar bg-white">
							<view class="action">
								隐患照片
							</view>
							<view class="action">
								{{hiddenForm.hiddenImgs.length}}/4
							</view>
						</view>
						<view class="cu-form-group">
							<view class="grid col-4 grid-square flex-sub">
								<view class="bg-img" v-for="(item,index) in hiddenForm.hiddenImgs" :key="index" @tap="ViewImage"  data-type="0" :data-url="hiddenForm.hiddenImgs[index].FILEPATH">
									<image v-if="item.IMGFILES_ID" :src="baseImgPath + hiddenForm.hiddenImgs[index].FILEPATH" mode="aspectFill"></image>
									<image v-else :src="hiddenForm.hiddenImgs[index].FILEPATH" mode="aspectFill"></image>
									<view class="cu-tag bg-red" @tap.stop="DelImg"  data-type="0" :data-index="index">
										<text class='cuIcon-close'></text>
									</view>
								</view>
								<view  class="solids" @tap="ChooseImage(0)" v-if="hiddenForm.hiddenImgs.length<4 && !forbidEdit">
									<text class='cuIcon-cameraadd'></text>
								</view>
							</view>
						</view>
            <view class="ai_btn ">
              <view class="ai_btn_con" @click="$noMultipleClicks(goIdentifyImg)">
                <image src="../../../../static/ai_img.png" style="width: 16px;height: 16px"/>
                <view class="text" style="margin-left: 5px;"> AI隐患识别与处置</view>
              </view>
            </view>
						<view class="cu-bar bg-white">
							<view class="action">
								隐患视频
							</view>
							<view class="action">
								{{hiddenForm.hiddenVideos.length}}/1
							</view>
						</view>
						<view class="cu-form-group">
							<view class="grid col-4 grid-square flex-sub">
								<view class="bg-img" v-for="(item,vindex) in hiddenForm.hiddenVideos" :key="vindex" @tap="ViewVideo" data-type="0" :data-url="hiddenForm.hiddenVideos[vindex].FILEPATH" style="background-color: #000">
									<image src="/static/icon-apps/video.png" mode="aspectFill" @click="playVideo"
										   :data-src="hiddenForm.hiddenVideos[vindex].FILEPATH"></image>
									<view class="cu-tag bg-red" @tap.stop="DelVideo" data-type="0" :data-index="vindex">
										<text class='cuIcon-close'></text>
									</view>
								</view>
								<view class="solids" @tap="chooseVideo(0)" v-if="hiddenForm.hiddenVideos.length == 0">
									<text class='cuIcon-cameraadd'></text>
								</view>
							</view>
						</view>
						<view class="cu-form-textarea">
							<view class="cu-form-title text-hui">隐患描述</view>
							<textarea maxlength="-1" :disabled="modalName!=null" v-model="hiddenForm.HIDDENDESCR" placeholder="请对隐患进行详细描述(必填项)"></textarea>
						</view>
						<view class="cu-form-group">
							<view class="title">隐患部位</view>
							<view v-if="!forbidEdit" class="picker-tree-box">
								<view class="picker-tree" @tap="showZgTree('tkiTree3', 3)">{{hiddenForm.HIDDENPART_NAME || '请选择'}}</view>
							</view>
              <view v-else class="picker-tree-box">
                <view>{{ hiddenForm.HIDDENPART }}</view>
              </view>
							<tki-tree ref="tkiTree3" :selectParent=false :range="hiddenRegionTreeList" rangeKey="name" @confirm="zgtreeConfirm($event,'hiddenRegionTreeList')"
									  @cancel="zgtreeCancel"></tki-tree>
						</view>

						<view class="cu-form-group">
							<view class="title">隐患级别</view>
              <view class="picker-tree-box">
                <view v-if="!forbidEdit" class="picker-tree" @tap="showZgTree('tkiTree4', 4)">
                  {{ hiddenForm.HIDDENLEVEL_NAME || '请选择' }}
                </view>
                <view v-else>{{ hiddenForm.HIDDENLEVEL_NAME }}</view>
              </view>

							<tki-tree ref="tkiTree4" :selectParent=false :range="hiddenLevelTreeList" rangeKey="name" @confirm="zgtreeConfirm($event,'hiddenLevelTreeList')"
									  @cancel="zgtreeCancel"></tki-tree>
						</view>

						<view class="cu-form-group">
							<view class="title">隐患类型</view>
							<view class="picker-tree-box">
								<view v-if="!forbidEdit" class="picker-tree" @tap="showZgTree('tkiTree5', 5)">{{hiddenForm.HIDDENTYPE_NAME || '请选择'}}</view>
                <view v-else>{{ hiddenForm.HIDDENTYPE_NAME }}</view>
              </view>
							<tki-tree ref="tkiTree5" :selectParent=false :range="hiddenTypeTreeList" rangeKey="name" @confirm="zgtreeConfirm($event,'hiddenTypeTreeList')"
									  @cancel="zgtreeCancel">
							</tki-tree>
						</view>
<!--            <view class="cu-form-group margin-top">-->
<!--              <view class="title">是否相关方</view>-->
<!--              <view >{{ hiddenForm.ISRELEVANT=='1'?'是':'否' }}</view>-->
<!--            </view>-->
<!--			<view class="cu-form-group">-->
<!--			  <view class="title">隐患部位描述</view>-->
<!--			  <text>{{ hiddenForm.POSITIONDESC }}</text>-->
<!--			</view>-->
						<view class="cu-form-group">
							<view class="title">隐患发现时间</view>
							<ruiDatePicker :start="todayDate" :disabled="forbidEdit" fields="minute" :value="hiddenForm.CREATTIME || '请选择'"
										   @change="changeDiscoverDate"></ruiDatePicker>
						</view>
<!--						<view class="cu-form-group">-->
<!--							<view class="title">隐患上报位置：</view>-->
<!--							<button v-if="!forbidEdit" class="cu-btn bg-green shadow" @tap="showMapModal" >定位</button>-->
<!--						</view>-->
<!--						<view class="cu-form-group"  v-if="hiddenForm.LONGITUDE && hiddenForm.LONGITUDE != 'undefined'">-->
<!--							<view class="sign-title">经度：</view>-->
<!--							<view class="wui-sign-cotent">{{hiddenForm.LONGITUDE}}</view>-->
<!--						</view>-->
<!--						<view class="cu-form-group"  v-if="hiddenForm.LATITUDE && hiddenForm.LATITUDE != 'undefined'">-->
<!--							<view class="sign-title">纬度：</view>-->
<!--							<view class="wui-sign-cotent">{{hiddenForm.LATITUDE}}</view>-->
<!--						</view>-->
						<view class="cu-form-group">
							<view class="title">隐患发现人</view>
							<picker @change="creatorChange" :disabled="forbidEdit" :value="hiddenForm.CREATOR_INDEX"
									:range="creatorList" range-key="NAME">
								<view class="picker">
									{{ hiddenForm.CREATOR_NAME || '请选择' }}
								</view>
							</picker>
						</view>

						<view class="de-drawer-bottom">
							<view class="cz-btn">
								<text class="cu-btn" @click="cancelHidden">取消</text>
							</view>
							<view v-if="hiddenIsEdit" class="done-btn" @click="saveHidden">
								<text class="cu-btn bg-blue">保存</text>
							</view>
						</view>
					</view>
				</scroll-view>
		</uni-drawer>
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,deptId,loginUser,formatDate,loginSession,baseImgPath
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	import gcoord from '@/common/gcoord.js'
	import ruiDatePicker from '@/components/rattenking-dtpicker/rattenking-dtpicker.vue'
	import moreSelect from '@/components/more-select/more-select.vue';
	import uniPopup from '@/components/more-select/uni-popup/uni-popup.vue';

	export default {
		components: {
			tkiTree, ruiDatePicker, moreSelect, uniPopup
		},
		data() {
			return {
				baseImgPath:baseImgPath,
				isUps:false,
				forbidEdit:true,// 禁止修改
				msg:'add',
				noClick:true,
				treeNode:[],//部门下拉数据
				inspectedSiteuserList: [], // 被检查单位现场负责人下拉数据
				inspectionTypeTreeList: [], // 检查类型下拉数据
				inspectorList: [], // 检查人员(二维数组)下拉数据
				form:{
					INSPECTION_ID: '', // 检查ID
					INSPECTION_SUBJECT: '', // 检查标题
					INSPECTION_SOURCE: '5', // 检查来源（4-监管端 5-企业端）
					INSPECTION_ORIGINATOR_ID: '', // 检查发起人
					INSPECTED_DEPARTMENT_ID: '', // 被检查单位
					INSPECTED_DEPARTMENT_NAME: '',
					INSPECTED_SITEUSER_ID: '', // 被检查单位现场负责人
					INSPECTED_SITEUSER_INDEX: '',
					INSPECTED_SITEUSER_NAME: '',
					INSPECTED_EXPLAIN: '', // 申辩内容
					INSPECTED_SITEUSER_SIGN_IMG: '', // 被检查单位现场负责人签字
					INSPECTED_SITEUSER_SIGN_TIME: '', // 被检查单位现场负责人签字时间
					INSPECTION_TYPE: '', // 检查类型
					INSPECTION_TYPE_NAME: '',
					INSPECTION_PLACE: '', // 检查场所
					INSPECTION_TIME_START: '', // 检查开始时间
					INSPECTION_TIME_END: '', // 检查结束时间
					INSPECTION_STATUS: '0', // 状态(0.暂存 1.检查人待确认、2.被检查人待确认、3.归档 -1.检查人异议打回 -2被检查人申辩)
					inspectorList:
							[{
								INSPECTION_INSPECTOR_ID: '',	//检查人员主键
								INSPECTION_DEPARTMENT_ID: '',	//检查人员部门ID
								INSPECTION_DEPARTMENT_NAME: '',
								INSPECTION_USER_ID: '',		//检查人员ID
								INSPECTION_USER_INDEX: '',
								INSPECTION_USER_NAME: ''
							}], // 检查人员
					situationList:
							[{
								INSPECTION_SITUATION_ID: '',
								SITUATION: ''
							}], // 检查情况
					hiddenList: [{ ...this.hiddenForm }], // 隐患信息集合
          inspectorVerifyList: [
            {
              INSPECTION_USER_NAME: '',
              INSPECTION_USER_OPINION: '',
              INSPECTION_USER_SIGN_IMG: ''
            }
          ]
				},// 数据
				hiddenIds: [], // 检查保存后返回的隐患ID集合
				delSituations: [], // 编辑时删除的原来检查情况
				delInspectors: [], // 编辑时删除的原来检查情况
				delHiddens: [], // 编辑时删除的原来发现问题
				delHiddenFiles: [], // 编辑时删除的原来发现问题附件
				rules:[
					{name:'INSPECTION_SUBJECT',message:'请输入检查标题'},
					{name:'INSPECTED_DEPARTMENT_ID',message:'请选择被检查单位'},
					{name:'INSPECTED_SITEUSER_ID',message:'请选择被检查单位现场负责人'},
					{name:'INSPECTION_TYPE',message:'请选择检查类型不能为空'},
					{name:'INSPECTION_PLACE',message:'请输入检查场所'},
					{name:'INSPECTION_TIME_START',message:'请选择检查开始时间'},
					{name:'INSPECTION_TIME_END',message:'请选择作业结束时间'}
				],
				showHiddenWindow: false,	// 隐患添加窗口显隐
				hiddenIsEdit: true,
				hiddenRegionTreeList: [], // 隐患部位下拉数据
				hiddenLevelTreeList: [], // 隐患级别下拉数据
				hiddenTypeTreeList: [], // 隐患类型下拉数据
				hiddenType2TreeList: [], // 隐患类型2下拉数据
				creatorList: [], // 隐患责任人下拉数据
				hiddenForm: {
					HIDDEN_ID: '', // 隐患ID
					HIDDENDESCR: '', // 隐患描述
					HIDDENPART: '', // 隐患部位
					HIDDENPART_NAME: '',
					HIDDENLEVEL: '', // 隐患级别
					HIDDENLEVEL_NAME: '',
					HIDDENTYPE: '', // 隐患类型1
					HIDDENTYPE_NAME: '',
					POSITIONDESC: '',// 隐患位置描述
					ISRELEVANT: '', // 是否相关方
					HIDDENTYPE2: '', // 隐患类型2
					HIDDENTYPE2_NAME: '',
					LONGITUDE: '', // 隐患位置经度
					LATITUDE: '', // 隐患位置纬度
          CREATTIME: '', // 隐患发现时间
					HIDDENFINDDEPT: '', // 隐患发现部门（隐患责任人部门）
					HIDDENFINDDEPT_NAME: '',
					CREATOR: '', // 发现人（隐患责任人）
					CREATOR_INDEX: '',
					CREATOR_NAME: '',
					SOURCE: '5', // 隐患描述
					hiddenImgs: [],
					hiddenVideos: []
				},
				modalShow: false,
				videoSrc: '',
				hiddenRules:[
					{name:'HIDDENDESCR',message:'请选择隐患描述'},
					{name:'HIDDENPART',message:'请选择隐患部位'},
					{name:'HIDDENLEVEL',message:'请选择隐患级别'},
					{name:'HIDDENTYPE',message:'请选择隐患类型'},
					/*{name:'HIDDENTYPE2',message:'请选择隐患类型2'},*/
					{name:'LONGITUDE',message:'请选择隐患位置'},
					{name:'LATITUDE',message:'请选择隐患位置'},
					{name:'CREATTIME',message:'请选择隐患发现时间'},
					// {name:'HIDDENFINDDEPT',message:'请选择隐患责任人部门'},
					{name:'CREATOR',message:'请选择隐患责任人'}
				],
				todayDate:'',
				modalName:null,
				cityIndex: 0,

			}
		},
		onLoad(event){
			this.todayDate =  formatDate(new Date(), 'yyyy-MM-dd hh:mm');
			this.form.INSPECTION_ID = event.INSPECTION_ID;
			this.form.hiddenList = []
			if(this.form.INSPECTION_ID){
				this.msg="edit";
				this.getData();
			}else {
				// 初始化作业负责人
				this.form.APPLY_DEPARTMENT_ID = loginUser.DEPARTMENT_ID;
				this.form.APPLY_DEPARTMENT_NAME = loginUser.DEPARTMENT_NAME;
				this.form.APPLY_USER_ID = loginUser.USER_ID;
				this.form.APPLY_USER = loginUser.NAME;
				this.forbidEdit = false;
			}
			// 初始化现场作业负责人
			this.getDept()
			this.getDict()
			loginSession();

		},
		methods: {
			getData() {
				var _this = this;
				uni.showLoading({
					title: '请稍候'
				})
				uni.request({
					url: basePath + '/app/safetyenvironmental/goEdit',
					method: 'POST',
 					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					data: {
						INSPECTION_ID: _this.form.INSPECTION_ID,
					},
					success: (res) => {
						if ("success" == res.data.result) {
							uni.hideLoading();
							_this.form = res.data.pd; //参数map
              if (!res.data.pd.inspectorVerifyList || res.data.pd.inspectorVerifyList.length <= 0){
                this.form.inspectorVerifyList = [{
                  INSPECTION_USER_NAME: '',
                  INSPECTION_USER_OPINION: '',
                  INSPECTION_USER_SIGN_IMG: ''
                }]
              }
							for (let i = 0; i < _this.form.inspectorList.length; i++) {
								_this.inspectorList.push([])
								_this.getUserList('inspectorList', _this.form.inspectorList[i].INSPECTION_DEPARTMENT_ID, i)
							}
              _this.forbidEdit = true;
						} else if ("exception" == data.result) {
							uni.showToast({
								title: '错误',
								duration: 2000
							});
						}
					}
				});
			},
			goSubmit(){
				var _this = this;
				let required = true
				uni.showLoading({
					title: '请稍候'
				})
				this.rules.map(({name,message})  => {
					if (!this.form[name]) {
						uni.showToast({
							icon: 'none',
							title: message,
							duration: 1500
						});
						required = false
					}
				})
				if (!required) {
					return
				}

				// 封装隐患图片和视频附件
				var hiddenList = [], fileList = [];
				for (let i = 0; i < this.form.hiddenList.length; i++) {
					fileList = []
					for (let j = 0; j < this.form.hiddenList[i].hiddenImgs.length; j++) {
						if(!this.form.hiddenList[i].hiddenImgs[j].IMGFILES_ID){
							var file = {};
							file.type = 3;
							file.FILEPATH = this.form.hiddenList[i].hiddenImgs[j].FILEPATH;
							fileList.push(file);
						}
					}
					if(this.form.hiddenList[i].hiddenVideos.length>0){
						if(!this.form.hiddenList[i].hiddenVideos[0].IMGFILES_ID){
							var file = {};
							file.type = 102;
							file.FILEPATH = this.form.hiddenList[i].hiddenVideos[0].FILEPATH;
							fileList.push(file);
						}
					}
					hiddenList.push(fileList)
				}
				console.info(hiddenList)
				this.$set(this.form, 'INSPECTORJSON', JSON.stringify(this.form.inspectorList))
				this.$set(this.form, 'SITUATIONJSON', JSON.stringify(this.form.situationList))
				this.$set(this.form, 'HIDDENJSON', JSON.stringify(this.form.hiddenList))
				this.$set(this.form, 'delInspectors', this.delInspectors.join(','))
				this.$set(this.form, 'delSituations', this.delSituations.join(','))
				this.$set(this.form, 'delHiddens', this.delHiddens.join(','))
				this.$set(this.form, 'delHiddenFiles', this.delHiddenFiles.join(','))
				this.$set(this.form, 'CREATOR', loginUser.USER_ID)
				this.$set(this.form, 'CORPINFO_ID', corpinfoId)
				this.$set(this.form, 'ACTION_USER', loginUser.NAME)

				this.submit(hiddenList)
			},
			uploadImg(hiddenList){
				var _this = this;
				uni.showLoading({
					title: '上传中'
				})
				for (let i = 0; i < hiddenList.length; i++) {
					let hiddenID = _this.hiddenIds[i].HIDDEN_ID
					let fileList = hiddenList[i]
					for (let j = 0; j < fileList.length; j++) {
						uni.uploadFile({
							url: basePath+'/app/imgfiles/add',
							filePath: fileList[j].FILEPATH,
							name: 'FFILE',
							formData: {
								'TYPE': fileList[j].type,
								'FOREIGN_KEY': hiddenID
							},
							success: (res) => {
								console.info(res)
								uni.hideLoading();
							},
							fail: (err) => {
								uni.hideLoading();
								uni.showModal({
									content: err.errMsg,
									showCancel: false
								});
							}
						})
					}
				}
				_this.goback()
			},
			submit(hiddenList){
					var _this = this;
					console.info(this.form)
					uni.request({
						url: basePath+'/app/safetyenvironmental/'+_this.msg,
						method: 'POST',
						dataType: 'json',
						header: {
							'Content-type':'application/x-www-form-urlencoded'
						},
						data: {
							..._this.form
						},
						success: (res) => {
							if ("success" == res.data.result) {
								_this.hiddenIds= res.data.pd.hiddenList
								console.info(_this.hiddenIds)
								if (hiddenList.length === 0) {
									_this.goback()
								} else {
									_this.uploadImg(hiddenList)
								}
							} else {
								uni.showToast({
									title: res.data.msaesge,
									duration: 2000
								});
							}
						}
					});
			},

			changeRadioGroup(e){
				this.form.INSPECTION_SUBJECT = e.detail.value
			},
			changeStartDate(e) {
				this.form.INSPECTION_TIME_START = e
				this.$forceUpdate();//强制刷新
			},
			changeEndDate(e) {
				this.form.INSPECTION_TIME_END = e
				this.$forceUpdate();//强制刷新
			},
			showZgTree(ref, index) {
				if (index > 7) {
					this.$refs[ref][0]._show();
				} else {
					this.$refs[ref]._show();
				}
			},
			zgtreeCancel(e) {
				this.isUps = false;
			},
			zgtreeConfirm(e, list, i) {
				if (list === 'inspectedSiteuserList') { // 被检查单位现场负责人
					this.form.INSPECTED_DEPARTMENT_ID = e[0].id
					this.form.INSPECTED_DEPARTMENT_NAME = e[0].name
					this.form.INSPECTED_SITEUSER_INDEX = ''
					this.form.INSPECTED_SITEUSER_ID = ''
					this.form.INSPECTED_SITEUSER_NAME = ''
					this.getUserList(list, e[0].id)
				}
				if (list === 'inspectionTypeTreeList') { // 检查类型
					this.form.INSPECTION_TYPE = e[0].id
					this.form.INSPECTION_TYPE_NAME = e[0].name
				}
				if (list === 'inspectorList') { // 检查人员
					this.form.inspectorList[i].INSPECTION_DEPARTMENT_ID = e[0].id
					this.form.inspectorList[i].INSPECTION_DEPARTMENT_NAME= e[0].name
					this.form.inspectorList[i].INSPECTION_USER_INDEX = ''
					this.form.inspectorList[i].INSPECTION_USER_ID = ''
					this.form.inspectorList[i].INSPECTION_USER_NAME = ''
					this.getUserList(list, e[0].id, i);
				}
				if (list === 'hiddenRegionTreeList') { // 隐患部位
					this.hiddenForm.HIDDENPART = e[0].id
					this.hiddenForm.HIDDENPART_NAME = e[0].name
				}
				if (list === 'hiddenLevelTreeList') { // 隐患级别
					this.hiddenForm.HIDDENLEVEL = e[0].id
					this.hiddenForm.HIDDENLEVEL_NAME = e[0].name
				}
				if (list === 'hiddenTypeTreeList') { // 隐患级别
					this.hiddenForm.HIDDENTYPE = e[0].id
					this.hiddenForm.HIDDENTYPE_NAME = e[0].name
				}
				if (list === 'hiddenType2TreeList') { // 隐患级别
					this.hiddenForm.HIDDENTYPE2 = e[0].id
					this.hiddenForm.HIDDENTYPE2_NAME = e[0].name
				}
				if (list === 'creatorList') { // 隐患级别
					this.hiddenForm.HIDDENFINDDEPT = e[0].id
					this.hiddenForm.HIDDENFINDDEPT_NAME = e[0].name
					this.hiddenForm.CREATOR_INDEX = ''
					this.hiddenForm.CREATOR = ''
					this.hiddenForm.CREATOR_NAME = ''
					this.getUserList(list, e[0].id)
				}
			},
			inspectedSiteuserChange(e) {
				this.form.INSPECTED_SITEUSER_INDEX = e.detail.value;
				this.form.INSPECTED_SITEUSER_ID = this.inspectedSiteuserList[e.detail.value].USER_ID;
				this.form.INSPECTED_SITEUSER_NAME = this.inspectedSiteuserList[e.detail.value].NAME;
			},
			inspectorChange(e,index) {
				this.form.inspectorList[index].INSPECTION_USER_INDEX = e.detail.value;
				this.form.inspectorList[index].INSPECTION_USER_ID = this.inspectorList[index][e.detail.value].USER_ID;
				this.form.inspectorList[index].INSPECTION_USER_NAME = this.inspectorList[index][e.detail.value].NAME;
			},

			addSituation() {
				this.form.situationList.push(
					{
						INSPECTION_SITUATION_ID: '',
						SITUATION: ''
					}
				)
			},
			removeSituation (item, index) {
				var _this = this;
				uni.showModal({
					title: '提示',
					cancelText: '确认',
					confirmText: '取消',
					content: '确定删除检查情况吗？',
					success: function (res) {
						if (res.cancel) {
							_this.form.situationList.splice(index, 1)
							if (item.INSPECTION_SITUATION_ID) {
								_this.delSituations.push(item.INSPECTION_SITUATION_ID)
							}
						}
					}
				});
			},

			addInspector() {
				this.form.inspectorList.push(
					{
						INSPECTION_INSPECTOR_ID: '',	//检查人员主键
						INSPECTION_DEPARTMENT_ID: '',	//检查人员部门ID
						INSPECTION_DEPARTMENT_NAME: '',
						INSPECTION_USER_ID: '',		//检查人员ID
						INSPECTION_USER_INDEX: '',
						INSPECTION_USER_NAME: ''
					}
				)
			},
			removeInspector(item, index){
				var _this = this;
				uni.showModal({
					title: '提示',
					cancelText: '确认',
					confirmText: '取消',
					content: '确定移除检查人员吗？',
					success: function (res) {
						if (res.cancel) {
							_this.form.inspectorList.splice(index,1);
							if (item.INSPECTION_INSPECTOR_ID) {
								_this.delInspectors.push(item.INSPECTION_INSPECTOR_ID)
							}
						}
					}
				});
			},

			removeHidden(item, index){
				var _this = this;
				uni.showModal({
					title: '提示',
					cancelText: '确认',
					confirmText: '取消',
					content: '确定移除发现问题吗？',
					success: function (res) {
						if (res.cancel) {
							console.info(_this.form)
							_this.form.hiddenList.splice(index,1);
							if (item.HIDDEN_ID) {
								_this.delHiddens.push(item.HIDDEN_ID)
							}
						}
					}
				});
			},
			// 打开隐患添加窗口
			addHidden() {
				this.resetHd()
				this.creatorList = []
				this.form.inspectorList.forEach(item => {
					this.creatorList.push({ USER_ID: item.INSPECTION_USER_ID, NAME: item.INSPECTION_USER_NAME })
				})
				this.$refs['showHiddenWindow'].open()
				this.showHiddenWindow = true
				this.hiddenIsEdit = true
			},

			// 打开隐患添加窗口
			showHidden(item) {
				this.resetHd()
				this.creatorList = []
				this.form.inspectorList.forEach(item => {
					this.creatorList.push({ USER_ID: item.INSPECTION_USER_ID, NAME: item.INSPECTION_USER_NAME })
				})
				this.hiddenForm = item
				this.$refs['showHiddenWindow'].open()
				this.showHiddenWindow = true
				this.hiddenIsEdit = false
			},
			// 保存隐患
			saveHidden() {
				let required = true

				if (this.hiddenForm.hiddenImgs.length <= 0) {
					uni.showToast({
						icon: 'none',
						title: '请上传隐患图片',
						duration: 1500
					});
					return;
				}
				this.hiddenRules.map(({name,message})  => {
					if (!this.hiddenForm[name]) {
						uni.showToast({
							icon: 'none',
							title: message,
							duration: 1500
						});
						required = false
					}
				})
				if (!required) {
					return
				}
				uni.showLoading({
					title: '请稍候'
				})
				this.form.inspectorList.forEach(item => {
					if (item.INSPECTION_USER_ID === this.hiddenForm.CREATOR) {
						this.hiddenForm.HIDDENFINDDEPT = item.INSPECTION_DEPARTMENT_ID
					}
				})
				console.info(this.hiddenForm)
				this.form.hiddenList.push(this.hiddenForm)
				this.cancelHidden()
				uni.hideLoading();
			},
			// 取消添加隐患
			cancelHidden() {
				this.$refs['showHiddenWindow'].close()
				this.showHiddenWindow = false
			},
			// 抽屉状态发生变化触发
			change(e, type) {
				this[type] = e
			},
			ViewImage(e) {
				if(e.currentTarget.dataset.type==0) {
					let files =[];
					for(var i=0;i<this.hiddenForm.hiddenImgs.length;i++){
						files.push(this.hiddenForm.hiddenImgs[i].FILEPATH)
					}
					uni.previewImage({
						urls: files,
						current: e.currentTarget.dataset.url
					});
				}else{
					let files =[];
					for(var i=0;i<this.imgList1.length;i++){
						files.push(this.imgList1[i].FILEPATH)
					}
					uni.previewImage({
						urls: files,
						current: e.currentTarget.dataset.url
					});
				}
			},
			DelImg(e) {
				var _this = this;
				let i=e.currentTarget.dataset.index
				uni.showModal({
					content: '确定要删除这张图片吗？',
					cancelColor:"#000000",
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							if(e.currentTarget.dataset.type==0) {
								if(_this.hiddenForm.hiddenImgs[i].IMGFILES_ID) {
									_this.delHiddenFiles.push(_this.hiddenForm.hiddenImgs[index].FILEPATH)
								}else {
									this.hiddenForm.hiddenImgs.splice(e.currentTarget.dataset.index, 1)
								}
							}else{
								if(_this.imgList1[i].IMGFILES_ID) {
									uni.showLoading({
										title: '处理中'
									})
									uni.request({
										url: basePath+'/app/imgfiles/delete',
										method: 'POST',
										dataType: 'json',
										header: {
											'Content-type':'application/x-www-form-urlencoded'
										},
										data: {
											IMGFILES_ID: _this.imgList1[i].IMGFILES_ID,
										},
										success: (res) => {
											uni.hideLoading();
											uni.showToast({
												icon: 'none',
												title: '删除成功',
												duration: 1500
											});
											_this.imgList1.splice(i, 1)
										},
										fail: (err) => {
											uni.hideLoading();
											uni.showModal({
												content: err.errMsg,
												showCancel: false
											});
										}
									})
								}else {
									this.imgList1.splice(e.currentTarget.dataset.index, 1)
								}
							}
						}
					}
				})
			},
			//图片上传
			ChooseImage(e) {
				var _this = this;
				var ss=4-this.hiddenForm.hiddenImgs.length;
				uni.chooseImage({
					count: ss, //默认9
					sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
					sourceType: ['camera','album'], //从相册选择
					success: (res) => {
						for (let i = 0; i < res.tempFilePaths.length; i++) {
							if (e == 0) {
								let img = {};
								img.IMGFILES_ID = '';
								img.FILEPATH = res.tempFilePaths[i];
								this.hiddenForm.hiddenImgs.push(img)
							} else {
								let img = {};
								img.IMGFILES_ID = '';
								img.FILEPATH = res.tempFilePaths[i];
								this.imgList1.push(img)
							}
						}
					}
				});
			},
      goIdentifyImg() {
        if (this.imgList.length === 0) {
          uni.showToast({
            icon: 'none',
            title: '请先上传图片',
            duration: 2000
          });
        } else if (this.imgList.length > 1) {
          uni.showToast({
            icon: 'none',
            title: '识别暂时只能上传一张图片',
            duration: 2000
          });
        } else {
          var _this = this;
          if(this.imgList[0].id != ""){
            uni.showToast({
              icon: 'none',
              title: '请删除图片重新上传图片后,再次进行图片识别',
              duration: 2000
            });
            return;
          }
          _this.buttonloading = true
          uni.showLoading({
            title: '识别中...'
          })
          uni.uploadFile({
            url: basePath + '/app/hidden/identifyImg',
            filePath: _this.imgList[0].filePath,
            name: 'FFILE',
            formData: {
              CORPINFO_ID: loginUser.CORPINFO_ID,
              USER_ID: loginUser.USER_ID,

            },
            success: (res) => {
              _this.buttonloading = false
              _this.aiFlag = true
              if ("success" == JSON.parse(res.data).result) {
                const aiHiddens = JSON.parse(res.data).aiHiddens;
                let hiddenDescr = ""
                let rectificationSuggestions = ""
                let legalBasis = ""
                aiHiddens.forEach((item) => {
                  hiddenDescr += JSON.parse(item).hiddenDescr + ";"
                  rectificationSuggestions += JSON.parse(item).rectificationSuggestions + ";"
                  legalBasis += JSON.parse(item).legalBasis + ";"
                })
                _this.pd.HIDDENDESCR = hiddenDescr
                _this.pd.LEGALBASIS = legalBasis
                _this.pd.RECTIFYDESCR = rectificationSuggestions
                _this.radioType(1)
              } else {
                uni.showToast({
                  icon: 'none',
                  title: "未识别图片中的隐患",
                  duration: 2000
                });
              }
              uni.hideLoading();
            },
            fail: (err) => {
              _this.buttonloading = false
              uni.hideLoading();
              uni.showModal({
                content: err.errMsg,
                showCancel: false
              });
            }
          })
        }
      },
			ViewVideo(e){

			},
			DelVideo(e){
				uni.showModal({
					content: '确定要删除这个视频吗？',
					cancelColor: "#000000",
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							this.hiddenForm.hiddenVideos = []
						}
					}
				})
			},
			chooseVideo(e){
				var _this = this;
				uni.chooseVideo({
					maxDuration:60,
					count: 1, //默认9
					// sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
					sourceType: ['camera','album'], //从相册选择
					success: (res) => {
						if(e==0) {
							let img={};
							img.IMGFILES_ID='';
							img.FILEPATH=res.tempFilePath;
							this.hiddenForm.hiddenVideos.push(img)
						}else{
							let img={};
							img.IMGFILES_ID='';
							img.FILEPATH=res.tempFilePaths[0];
							this.hiddenForm.hiddenVideos.push(img)
						}
					}
				});
			},
			playVideo(e) {
				this.videoSrc = e.currentTarget.dataset.src
				this.modalShow = true
			},
			changeDiscoverDate(e) {
				this.hiddenForm.CREATTIME = e
				this.$forceUpdate();//强制刷新
			},
			creatorChange(e) {
				this.hiddenForm.CREATOR_INDEX = e.detail.value;
				this.hiddenForm.CREATOR = this.creatorList[e.detail.value].USER_ID;
				this.hiddenForm.CREATOR_NAME = this.creatorList[e.detail.value].NAME;
			},

			/** 坐标定位 */
			showMapModal() {
				var _this = this
				uni.navigateTo({
					url: '/pages/map/map',
					events: {
						// 为指定事件添加一个监听器，获取被打开页面传送到当前页面的数据
						acceptDataFromOpenedPage: function (e) {
							_this.hiddenForm.LONGITUDE = e.data.longitue;
							_this.hiddenForm.LATITUDE = e.data.latitude;
						}
					},
				})
			},

			getDept() {
				var _this = this;
				uni.request({
					url: basePath + '/app/sys/listTree',//部门下拉接口
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
						CORPINFO_ID : corpinfoId,
					},
					success: (res) => {
						if("success" == res.data.result){
							_this.treeNode=eval(res.data.zTreeNodes);
						} else {
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				});
			},
			//获取人员列表
			getUserList(list,dept,i){
				//发送 post 请求
				var _this=this
				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					url: basePath+'/app/sys/listUser',
					data: {DEPARTMENT_ID:dept, NOMAIN:'1', tm:new Date().getTime()},
					success: function(res){
						if("success" == res.data.result){
							if(i>-1) {
								_this[list][i] = [];
								_this[list][i] = res.data.userList;
								_this.$forceUpdate();//强制刷新
							}else{
								_this[list]=res.data.userList;
							}
						}else{
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				})
			},
			//获取数据字典数据
			getDict() {
				var _this = this;

				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					url: basePath + '/dictionaries/listSelectTreeByTkiTree?tm=' + new Date().getTime(),
					data: {DICTIONARIES_ID: '60e6481d96e44a5390ff5c347c4d1ffe'},
					success: function (res) {
						_this.inspectionTypeTreeList = eval(res.data.zTreeNodes);
					}
				});

				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					url: basePath+'/app/hidden/getTreehiddenRegionListAll',
					data: {
						CORPINFO_ID: corpinfoId,
						tm:new Date().getTime()
					},
					success: function(res){
						if("success" == res.data.result){
							var json = res.data.zTreeNodes
							_this.hiddenRegionTreeList = JSON.parse(json) ;
						}else{
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				})

				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					url: basePath + '/dictionaries/listSelectTreeByTkiTree?tm=' + new Date().getTime(),
					data: {DICTIONARIES_ID: '5e7cf8620ba54ad89719d0be62133c7a'},
					success: function (res) {
						var data = JSON.parse(res.data.zTreeNodes);
						for(let i=0;i<data.length;i++){
							for(let j=0;j<data[i].children.length;j++){
								if(data[i].children[j].id =='jdyh001'){
									data[i].children.splice(j,1)
								}
							}
							if(data[i].id =='hiddenLevel0002'){
								data.splice(i,1)
							}
						}
						_this.hiddenLevelTreeList = data
					}
				})

				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					url: basePath + '/dictionaries/listSelectTreeByTkiTree?tm=' + new Date().getTime(),
					data: {DICTIONARIES_ID: '3babc15144444bdc8d763d0af2bdfff6'},
					success: function (res) {
						var jons = res.data.zTreeNodes ;
						_this.hiddenTypeTreeList = JSON.parse(jons) ;
					}
				})

				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					url: basePath + '/dictionaries/listSelectTreeByTkiTree?tm=' + new Date().getTime(),
					data: {DICTIONARIES_ID: '18c0a9aea6e54feab9f4ab3f46e0bc86'},
					success: function (res) {
						var jons = res.data.zTreeNodes ;
						_this.hiddenType2TreeList = JSON.parse(jons) ;
					}
				})
			},

			goback(){
				var pages = getCurrentPages();	// 获取当前页面栈
				var prePage = pages[pages.length - 2];	// 上二级页面
				prePage.$vm.initflag = true;    // A 页面 init方法 为true
				uni.navigateBack({delta: 1});
				uni.hideLoading();
			},

			resetHd() {
				this.hiddenForm = {
					HIDDEN_ID: '', // 隐患ID
					HIDDENDESCR: '', // 隐患描述
					HIDDENPART: '', // 隐患部位
					HIDDENPART_NAME: '',
					HIDDENLEVEL: '', // 隐患级别
					HIDDENLEVEL_NAME: '',
					HIDDENTYPE: '', // 隐患类型1
					HIDDENTYPE_NAME: '',
					HIDDENTYPE2: '', // 隐患类型2
					HIDDENTYPE2_NAME: '',
					LONGITUDE: '', // 隐患位置经度
					LATITUDE: '', // 隐患位置纬度
					// LONGITUDE: '119.65772151947023', // 隐患位置经度
					// LATITUDE: '39.93767832107088', // 隐患位置纬度
          CREATTIME: '', // 隐患发现时间
					HIDDENFINDDEPT: '', // 隐患发现部门（隐患责任人部门）
					HIDDENFINDDEPT_NAME: '',
					CREATOR: '', // 发现人（隐患责任人）
					CREATOR_INDEX: '',
					CREATOR_NAME: '',
					SOURCE: '5', // 隐患描述
					hiddenImgs: [],
					hiddenVideos: []
				}
			}
		}
	}
</script>

<style>
	.right_icon {
		position: relative;
		padding-right: 36upx;
		width: 200upx;
		text-align: right;
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.right_icon ::after {
		font-family: cuIcon;
		display: block;
		content: "\e6a3";
		position: absolute;
		font-size: 17px;
		color: #8799a3;
		line-height: 50px;
		width: 30px;
		text-align: center;
		top: -28upx;
		bottom: 0;
		right: -22upx;
		margin: auto;
	}

	.modal_content {
		display: flex;
		text-align: left;
	}
	.modal_left {
		flex-basis: 50%;
		padding: 50upx 20upx;
		border-right: 1px solid #000000;
	}
	.modal_right {
		flex-basis: 50%;
		padding: 50upx;
	}
	.modal_left_title,.modal_right_title{
		font-size: 16px;
		color: #000000;
		font-weight: 700;
	}
	.checkbox-item{
		display: flex;
		align-items:center;
		padding: 0 30upx;
		min-height: 100upx;
		background-color: #ffffff;
		border-bottom: 1upx solid #ddd;
	}
	.checkbox-item:last-child{
		border-bottom: none;
	}
	.showHiddenWindowActive{
		overflow: hidden;
		height: 100vh;
	}  .ai_btn {
       width: 100%;
       box-sizing: border-box;
       background: #FFFFFF;
       margin-bottom: 10px;
       padding: 10px;
     }

  .ai_btn .ai_btn_con {
    width: 45%;
    background: #dfeaff;
    border-radius: 20px;
    display: flex;
    align-items: center;
    height: 40px;
    padding: 0 10px;
  }
</style>
